Get EP metrics

Returns EP curves for the specified EP analysis job.

EP analysis may be computed based on ALM, DLM, or HD models. Exceedance probability (EP) analysis takes the full range of possible events and losses into consideration during analysis. These losses are expressed as occurrence exceedance probability curves (OEP curves) and aggregate exceedance probability curves (AEP curves).

Different metrics are available depending on the model used in the analysis:

  • For EP analysis based on ALM or DLM models, this operation may return AEP, OEP, TCE-AEP, and TCE-OEP curves.
  • For EP analysis based on HD models, this operation may return AEP and OEP curves

EP metrics can be filtered by EP metrics type (epType). One of OEP (occurrence EP), AEP (aggregate EP), CEP (stochastic conditional EP), TCE-AEP (tail conditional expectation AEP), TCE-OEP (tail conditional expectation OEP).

CodeDescription
AEPProbability that the total losses across all events in a year will meet or exceed a loss threshold.
CEPProbabilistic losses for an event or hypothetical scenario from existing EP results based on a list of event IDs (representing stochastic events with similar characteristics) and associated weights (reflecting how closely each stochastic event represents the event or scenario on a relative basis).
OEPProbability that at least one event will occur in a year that causes losses greater than or equal to a certain amount.
TCE_AEPTCE is the expected value of loss given that a loss at least as large as RPLα has occurred based on AEP losses. Conditional expectation of losses that are greater than or equal to a specified loss threshold RPLα, where α is the selected risk tolerance threshold and RPLα is the corresponding is the return period loss.
TCE_OEPTCE is the expected value of loss given that a loss at least as large as RPLα has occurred based on AEP losses. Conditional expectation of losses that are greater than or equal to a specified loss threshold RPLα, where α is the selected risk tolerance threshold and RPLα is the corresponding return period loss.
Path Params
int64
required
≥ 1

ID of analysis result.

Supports ALM, DLM, or HD analysis results.

Query Params
perspectiveCode
array of strings
required

Financial perspective that determines how losses are calculated. See Financial Perspectives

perspectiveCode*
int32
≥ 0

ID of exposure resource.

Required for DLM analysis. Required if exposureResourceType is ACCOUNT.

string
enum
required

Type of exposure.

string

Query string to select response data based on property values.

  • If exposureResourceType is POLICY, supports filtering by epType using = operator.
  • If exposureResourceType is POLICY and no exposureResourceId is specified, supports filtering by returnPeriod using singular IN operator for HD/DLM results.
  • If exposureResoruceType is any other exposure type, supports filtering by epType or exposureResourceId using the = or IN operators.

See Filtering Responses.

string

Comma-delimited list of properties. Response is sorted by each property. Sort order defined by one ofASC or DESC.

  • If exposureResourceType is POLICY, supports sorting by epType, exposureResourceId, exposureResourceNumber, perspectiveCode, positionValue
  • If exposureResoruceType is any other exposure type, sorting is not supported.

See Response Pagination.

int32
≤ 1000

Number of records returned per page. See Response Pagination

int32

Number of the page displaying the returned records, starting at 0

Responses

Language
Credentials
URL
Response
Choose an example:
application/json